{ config, pkgs, ... }:

{
  age.secrets = {
    env = {
      file = ../../secrets/vaultwarden/env.age;
    };
  };
  environment.systemPackages = with pkgs; [
    postfix
  ];

  services.vaultwarden = {
      enable = true;
      dbBackend = "postgresql";
      backupDir = "/var/backup/vaultwarden";
      environmentFile = config.age.secrets.env.path;
  };
}

